<bugID>1187014<Summary>Use "you" in preference strings, not "me"</Summary><Description>In various places of the preferences, we have strings like:

"Always check if Firefox is your default browser"
"Warn me when a site tries to install add-ons"
"Warn me when closing multiple tabs"
"Choose your default search engine"
"Choose your preferred language"

Is Firefox "mine" or is it "yours"? Who is "you"? Who is "me"? (What is life really about?)

Generally, when I use "you" in an English conversation, I'm speaking about somebody else. When I use "me", I'm speaking about myself.

We should change instances of "your" to "my". For example,
"Choose your default search engine" should become "Choose my default search engine"</Description></bugID>